package com.nisum.webfluxmongodbordermanagement.controller;

import com.nisum.webfluxmongodbordermanagement.entity.Order;
import com.nisum.webfluxmongodbordermanagement.service.OrdersService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;
import reactor.core.publisher.Flux;

@RestController
public class OrdersController {

    @Autowired
    private OrdersService ordersService;

    @PostMapping("/publish-orders")
    public Flux<Order> publishToKafka() {
        Flux<Order> orders = ordersService.fetchOrdersAndPublish();
        return orders;
    }

}
